Subject: bug#64977: 29.1; `auth-source-macos-keychain-search' handles :user key incorrectly

From: Michael Albinus <[email-masked]>
Date: Sat, 12 Aug 2023 13:39:56 +0200

Eli Zaretskii <[email-masked]> writes:

Hi Eli,

>> Finally I get some time looking at this issue.
>>
>> I think the bug is caused by `auth-source-macos-keychain-search-items'
>> forget the fact that :users can be a list of string instead of a string.
>>
>> The `auth-source-macos-keychain-search-items' also did
>> not handle the protocol argument correctly. The `security' command
>> needs the "-r" argument to be a string of 4 characters. This is also
>> fixed in the patch attached.
>
> Michael, any comments to the problem and the patch?

The change in :user seems to be OK. I cannot comment the change in
:port, because I don't use macOS, and cannot test anything.

Best regards, Michael.